commit 133d01873224b00eb74ba5db2d614780b841fa05
Author: freddy77 <freddy77>
Date:   Fri Feb 15 10:48:24 2008 +0000

    fix an ABI problem under HP-UX

diff --git b/ChangeLog a/ChangeLog
index 58ee2df..3349c0f 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,6 +1,3 @@
-Fri Feb 15 11:47:38 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* configure.ac: fix nasty problem with HP-UX
-
 Tue Feb 12 16:41:02 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/bsqlodbc.c: fix memory error
 	* src/tds/query.c: remove possible buffer underflow
@@ -84,4 +81,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.18 2008/02/15 10:48:24 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.17 2008/02/12 15:41:51 freddy77 Exp $
diff --git b/configure.ac a/configure.ac
index adad2d2..318611d 100644
--- b/configure.ac
+++ a/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.29.2.7 2008/02/15 10:48:25 freddy77 Exp $
+dnl $Id: configure.ac,v 1.29.2.6 2008/01/27 10:41:21 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.82RC2)
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.29.2.7 $)
+AC_REVISION($Revision: 1.29.2.6 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -47,6 +47,7 @@ case $host in
     netdb_reentrant=yes
     ;;
   *-*-hpux11*)
+    CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
     netdb_reentrant=yes
     ;;
   *-*-cygwin*)
@@ -150,27 +151,6 @@ case $host in
 	fi
 	AM_CONDITIONAL(MINGW32, true)
 	;;
-*-*-hpux*)
-	# these lines are needed to fix a problem for HP-UX
-	# HP-UX define two versions of sockets, one BSD and one X/Open
-	# these versions are not binary compatible (BSD use int where X/Open 
-	# use socklen_t == size_t) and different libraries (BSD in libc and
-	# X/Open in libxnet). X/Open is used if _XOPEN_SOURCE and 
-	# _XOPEN_SOURCE_EXTENDED are defined. To complicate the things gcc
-	# by default define _XOPEN_SOURCE_EXTENDED so define always both
-	# constants and link always libxnet!
-	CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED"
-	LIBS="$LIBS -lxnet"
-	AC_SEARCH_LIBS(gethostbyname, nsl)
-	if test "$enable_krb5" = "yes" ; then
-		AC_SEARCH_LIBS(gss_init_sec_context, [gssapi_krb5 gssapi])
-		if test "$ac_cv_search_gss_init_sec_context" != no; then
-			AC_DEFINE(ENABLE_KRB5, 1, [Defined if --enable-krb5 used and library detected])
-		fi
-	fi
-
-	AM_CONDITIONAL(MINGW32, false)
-	;;
 *)
 	AC_SEARCH_LIBS(socket, socket)
 	AC_SEARCH_LIBS(gethostbyname, nsl)

